Class RemoteMeta
java.lang.Object
org.apache.juneau.rest.client.classic.remote.RemoteMeta
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionReturns the interface-level defaultAcceptmedia type fromRemote.accept().Returns the interface-level base/host override fromRemote.baseUrl().Returns the interface-level defaultContent-Typemedia type fromRemote.contentType().Returns the interface-level constant form-data parameters fromRemote.formData().Returns the headers to set on all requests.Returns the metadata about the specified operation on this resource proxy.Returns the interface-level constant query parameters fromRemote.queryData().intReturns the interface-level default maximum retry attempts fromRemote.retries().Returns the interface-level default per-call timeout duration string fromRemote.timeout().booleanReturns whether the interface opts its absolute@Remote/@Url/baseUrl()targets out of the default deny-private SSRF guardrail (Remote.allowPrivateUrls()).booleanReturns whether the interface opts non-idempotent verbs into automatic retries (Remote.retryNonIdempotent()).booleanReturns whether the interface throws a generic exception on an unmatched error response (Remote.throwOnError()).
-
Constructor Details
-
RemoteMeta
Constructor.- Parameters:
c- The interface class annotated with a@Remoteannotation (optional).
-
-
Method Details
-
getHeaders
Returns the headers to set on all requests.- Returns:
- The headers to set on all requests.
-
getBaseUrl
Returns the interface-level base/host override fromRemote.baseUrl().- Returns:
- The base/host override. Never
null , but may be empty.
-
getAccept
Returns the interface-level defaultAcceptmedia type fromRemote.accept().- Returns:
- The accept media type. Never
null , but may be empty.
-
getContentType
Returns the interface-level defaultContent-Typemedia type fromRemote.contentType().- Returns:
- The content-type media type. Never
null , but may be empty.
-
getQueryData
Returns the interface-level constant query parameters fromRemote.queryData().- Returns:
- An unmodifiable list of name/value entries. Never
null , but may be empty.
-
getFormData
Returns the interface-level constant form-data parameters fromRemote.formData().- Returns:
- An unmodifiable list of name/value entries. Never
null , but may be empty.
-
getTimeout
Returns the interface-level default per-call timeout duration string fromRemote.timeout().- Returns:
- The timeout duration string. Never
null , but may be empty.
-
getRetries
Returns the interface-level default maximum retry attempts fromRemote.retries().- Returns:
- The retry count.
-
isRetryNonIdempotent
Returns whether the interface opts non-idempotent verbs into automatic retries (Remote.retryNonIdempotent()).- Returns:
true if non-idempotent retries are opted in at the interface level.
-
isThrowOnError
Returns whether the interface throws a generic exception on an unmatched error response (Remote.throwOnError()).- Returns:
true ifthrowOnErroris set at the interface level.
-
isAllowPrivateUrls
Returns whether the interface opts its absolute@Remote/@Url/baseUrl()targets out of the default deny-private SSRF guardrail (Remote.allowPrivateUrls()).- Returns:
true ifallowPrivateUrlsis set at the interface level.
-
getOperationMeta
Returns the metadata about the specified operation on this resource proxy.- Parameters:
m- The method to look up.- Returns:
- Metadata about the method or
null if no metadata was found.
-